#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n, max=0, temp=0,br=0, m=0,maxM=0, x=0;
    string sl;
    long long sum=1;
    cin>>n>>sl;
    if(n<26)
        cout<<0;
    else if(n==26)
        cout<<1;
    else
    {
        int arr[n],brArr[n];
        for(int i=0; i<n; i++){
            arr[i]=sl[i];
            brArr[i]=0;
            temp=arr[i];
            if(max<temp){
                max=temp;
                if(m>0)
                {
                    brArr[x]=m+1;
                    x++;
                }
                m=0;
            }
            else if(temp<max){
                br++;
                if(m>0)
                {
                    brArr[x]=m+1;
                    x++;
                }
                m=0;
            }
            else{
                m+=1;
                if(maxM<m)
                maxM=m;
            }
            if(i==n-1 && m!=0)
                brArr[x]=m+1;
                
        }
        for(int i=0; i<n; i++){
            if(brArr[i]!=0)
                sum*=brArr[i];
            else
                break;
        }
        cout<<sum%1000000007;
    }
}